# boost::numeric::ublas::scalar_real< T > Struct Template Reference

Inherits boost::numeric::ublas::scalar_real_unary_functor< T >.

List of all members.

## Public Types

typedef scalar_real_unary_functor< T > ::value_type | value_type
typedef scalar_real_unary_functor< T > ::argument_type | argument_type
typedef scalar_real_unary_functor< T > ::result_type | result_type

## Static Public Member Functions

static BOOST_UBLAS_INLINE result_type | apply (argument_type t)

### template<class T>
struct boost::numeric::ublas::scalar_real< T >